<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>

  <head>
    <title>Vorkenntnisse Image-Funktionen</title>
    <link rel="stylesheet" type="text/css" href="../../src/self.css">
    <meta name="description"    content="In diesem Abschnitt werden Image-Funktionen beschrieben.">
    <meta name="keywords"       content="SELFPHP, Image-Funktionen, getimagesize, imagearc, imagechar, imagecharup, imagecolorallocate, imagecolorat, imagecolorclosest, imagecolordeallocate, imagecolorexact, imagecolorresolve, imagecolorset, imagecolorsforindex, imagecolorstotal, imagecolortransparent, imagecopy, imagecopyresized, imagecreate, imagecreatefromgif, imagecreatefromjpeg, imagecreatefrompng, imagedashedline, imagedestroy, imagefill, imagefilledpolygon, imagefilledrectangle, imagefilltoborder, imagefontheight, imagefontwidth, imagegammacorrect, imagegif, imageinterlace, imagejpeg, imageline, imageloadfont, imagepng, imagepolygon, imagepsbbox, imagepsencodefont, imagepsextendfont, imagepsfreefont, imagepsloadfont, imagepsslantfont, imagepstext, imagerectangle, imagesetpixel, imagestring, imagestringup, imagesx, imagesy, imagettfbbox, imagettftext, imagetypes, read_exif_data">
    <meta name="author"         content="Damir Enseleit, mail@selfphp.info">
    <meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
    <meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
    <meta name="DC.Date"        content="2001-08-03T08:00+01:00">
    <meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/image_funktionen/index.html">
    <meta name="DC.Language"    content="de">
    <meta name="DC.Rights"      content="../../editorial/index.html">
    <meta name="SELF.Firstdate" content="2001-08-03T08:00+01:00">
    <meta name="SELF.Version"   content="1">
    <meta name="SELF.Pagetype"  content="Ordner">
    <meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.html">
  </head>

  <body bgcolor=#FFFFFF text=#000000 link=#AA5522 vlink=#772200 alink=#000000>

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> 
      <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a>&nbsp;<img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Image-Funktionen</b></a></td>
</tr>
</table>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
    <td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%"> 
      <h2>Vorkenntnisse Image-Funktionen</h2>
    </td></td>
</tr>  </td>
  </tr>
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" valign="top" align="center"> <img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Kapitelseite"> 
    </td>
    <td bgcolor="#FFFFFF" valign="top" colspan="2"> 
      <p> Mit den Grafikfunktionen k&ouml;nnen Sie nicht nur Informationen &uuml;ber 
        die Gr&ouml;&szlig;e eines Bildes<br>
        erhalten, sondern zur Laufzeit des Skripts auch Grafiken erzeugen. F&uuml;r 
        die Erzeugung von <br>
        Grafiken m&uuml;ssen Sie die GD-Bibliothek in Ihrer PHP-Version eingebunden 
        haben, welche Sie <br>
        im Internet unter &gt; <a href="http://www.boutell.com" target="_blank" >www.boutell.com</a> 
        &lt; erhalten. Dort finden Sie auch genaue Anleitungen zum <br>
        Einbinden dieser Bibliothek. Sie sollten sich im Vorfeld genau &uuml;berlegen, 
        welche <br>
        Grafikformate Sie ben&ouml;tigen, da die angebotenen Versionen auch unterschiedliche 
        <br>
        Grafikformate unterst&uuml;tzen. Aus rechtlichen Gr&uuml;nden musste die 
        GIF-Unterst&uuml;tzung ab der <br>
        Version 1.6 aus der GD-Bibliothek entfernt werden, da die Rechte des Algorithmus 
        f&uuml;r die <br>
        LZW-Komprimierung bei der Firma Unisys liegen. Falls Sie dennoch eine 
        GIF-Unterst&uuml;tzung <br>
        ben&ouml;tigen, so werden Sie diese auch sicherlich im Internet finden. 
        Ab der Version 1.6 der GD-<br>
        Bibliothek wird das PNG-Grafikformat unterst&uuml;tzt. Folgende Grafikformate 
        werden je nach <br>
        Version unterst&uuml;tzt:<br>
      <ul>
        <li>JPEG</li>
        <li>GIF</li>
        <li>PNG</li>
        <li>WBMP</li>
      </ul>
      Falls Sie ein Windows-System nutzen, m&uuml;ssen Sie zum Einbinden der GD-Bibliothek 
      in der php.ini die <br>
      Unterst&uuml;tzung aktivieren (extension=php_gd.dll). <br>
      <br>
      Zus&auml;tzlich haben Sie die M&ouml;glichkeit, falls Sie &quot;jpeg-6b&quot; 
      auf Ihrem System haben, JPEG-<br>
      Grafiken zu lesen und zu schreiben. Eine aktuelle Version von jpeg-6b finden 
      Sie im Internet <br>
      unter &lt; <a href="ftp://ftp.uu.net/graphics/jpeg/" target="_blank">ftp://ftp.uu.net/graphics/jpeg/</a> 
      &gt;.<br>
      <br>
      Weiterhin haben Sie die M&ouml;glichkeit, eine Unterst&uuml;tzung von Type1-Fonts 
      einzubauen. Daf&uuml;r <br>
      ben&ouml;tigen Sie eine Version von t1lib, welche Sie im Internet unter<br>
      &lt; <a href="ftp://ftp.neuroinformatik.ruhr-uni-bochum.de/pub/software/t1lib/" target="_blank">ftp://ftp.neuroinformatik.ruhr-uni-bochum.de/pub/software/t1lib/</a> 
      &gt; erhalten. 
      <p>Bei der Erzeugung von Grafiken mit der GD-Bibliothek k&ouml;nnen Sie 
        beliebige Formen auf <br>
        einer rechtwinkligen Arbeitsfl&auml;che erzeugen, welche Sie von den Abmessungen 
        frei bestimmen <br>
        k&ouml;nnen. Jede Grafik wird erst im Speicher des Servers erzeugt, bevor 
        sie ausgegeben wird. <br>
        Bei der Ausgabe der Grafiken stehen Ihnen mehrere M&ouml;glichkeiten zur 
        Verf&uuml;gung. Sie k&ouml;nnen das <br>
        Bild virtuell erzeugen und an den Browser schicken, aber sp&auml;testens 
        beim Skriptende ist die <br>
        Grafik wieder gel&ouml;scht. Sie haben aber nat&uuml;rlich auch die M&ouml;glichkeit, 
        ein Bild auf dem Server <br>
        zu speichern.<br>
        <br>
        Bei der Ausgabe der Grafiken m&uuml;ssen Sie darauf achten, dass diese 
        mit der Header-Funktion <br>
        eingeleitet wird und vorher keine andere Ausgabe stattgefunden hat, da 
        sonst ein unleserlicher <br>
        Code gesendet wird.<br>
        <br>
        Die meisten Grafikfunktionen ben&ouml;tigen als Parameter Koordinatenangaben. 
        Diese Koordinaten <br>
        sind in der Einheit Pixel (px) angegeben. Der Ursprung des Koordinatensystems 
        (0/0) ist <br>
        die linke obere Ecke der Arbeitsfl&auml;che.<br>
        <br>
        Die Abbildungen zu den Beispielen dieses Kapitels enthalten meist Legenden, 
        die <br>
        Eigenschaften der ausgegebenen Grafiken erl&auml;utern sollen. Oft finden 
        Sie in den Bildern zum <br>
        Beispiel Koordinatenangaben. Diese Legenden wurden nachtr&auml;glich hinzugef&uuml;gt 
        und sind nicht <br>
        Resultat des Beispielcodes.<br>
        <br>
      </p>
    </td>
  </tr>
</table>

<table bgcolor="#EEEEEE" class="doc" width="100%" cellspacing="0" cellpadding="0" border="0"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><br>&#160;
</td></tr></table>



<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>


</body>
</html>